# what it's called on pypi
%global srcname deprecated
# what it's imported as
%global libname github
# name of egg info directory
%global eggname %{srcname}
# package name fragment
%global pkgname Deprecated

Name:           python3-%{pkgname}
Version:        1.2.6
Release:        1%{?dist}
Summary:        Python decorator to deprecate old python classes, functions or methods
License:        MIT
URL:            https://github.com/tantale/%{srcname}
Source0:        https://files.pythonhosted.org/packages/source/D/%{pkgname}/%{pkgname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-wrapt
Requires:       python3-wrapt

%description
Python @deprecated decorator to deprecate old python classes,
functions or methods.

%prep
%autosetup -n %{pkgname}-%{version}
rm -rf %{srcname}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pkgname}
%license LICENSE.rst
%doc README.md
%{python3_sitelib}/*


%changelog
* Fri Jul 26 2019 Petr Hracek <phracek@redhat.com> - 1.2.6-1
- Initial package
